<template>
    <footer class="main-footer alternate" style="background-image: url(images/background/5.jpg);">
        <div class="auto-container">
            <!--Widgets Section-->
            <div class="widgets-section">
                <div class="row">
                    <!--Big Column-->
                    <div class="big-column col-xl-7 col-lg-12 col-md-12 col-sm-12">
                        <div class="row">
                            <!--Footer Column-->
                            <div class="footer-column col-xl-12 col-lg-12 col-md-12 col-sm-12">
                                <div class="footer-widget about-widget">
                                    <div class="footer-logo">
                                        <figure>
                                            <a href="index.html"><img src="/assets/images/logo-white.png" alt="teka logo" width="200"></a>
                                        </figure>
                                    </div>
                                    <div class="widget-content">
                                        <div class="text">
                                            {{footer}}
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                                    
                        </div>
                    </div>
                    
                    <!--Big Column-->
                    <div class="big-column col-xl-5 col-lg-12 col-md-12 col-sm-12">
                        <div class="row clearfix">
                            <div class="footer-column col-xl-5 col-lg-6 col-md-6 col-sm-12">
                                 <div class="footer-widget links-widget">
                                    <h2 class="widget-title">
                                        {{
                                            $root.lang() == 1 ? 'Tautan ' : 
                                            $root.lang() == 2 ? 'Useful links' :
                                            $root.lang() == 3 ? 'Nützliche Links' : ''
                                        }}
                                    </h2>
                                    <div class="widget-content">
                                        <ul class="list">
                                            <li>
                                                <a href="/about">
                                                {{
                                                    $root.lang() == 1 ? 'Tentang Teka':
                                                    $root.lang() == 2 ? 'About Teka':
                                                    $root.lang() == 3 ? 'über Teka' : ''
                                                }}
                                                </a>
                                            </li>
                                            <li>
                                                <a href="/product">
                                                {{
                                                    $root.lang() == 1 ? 'Produk':
                                                    $root.lang() == 2 ? 'Product':
                                                    $root.lang() == 3 ? 'Produkt' : ''
                                                }}
                                                </a>
                                            </li>
                                            <li>
                                                <a href="/gallery">
                                                {{
                                                    $root.lang() == 1 ? 'Galeri' : 
                                                    $root.lang() == 2 ? 'Gallery':
                                                    $root.lang() == 3 ? 'Galerie' : ''
                                                }}
                                                </a>
                                            </li>
                                            <li>
                                                <a href="/contact-us">
                                                {{
                                                    $root.lang() == 1 ? 'Hubungi Kami' :
                                                    $root.lang() == 2 ? 'Contact Us' :
                                                    $root.lang() == 3 ? 'Kontaktiere uns' : ''
                                                }}
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>

                            <!--Footer Column-->
                            <div class="footer-column col-xl-7 col-lg-6 col-md-6 col-sm-12">
                                <div class="footer-widget gallery-widget">
                                    <h2 class="widget-title">
                                        {{
                                            $root.lang() == 1 ? 'Pekerjaan Terkahir':
                                            $root.lang() == 2 ? 'Recent Works' : 
                                            $root.lang() == 3 ? 'Neueste Arbeiten' : ''
                                        }}
                                    </h2>
                                    <div class="widget-content">
                                        <div class="outer clearfix">
                                            <figure class="image" v-for="gallery in galleries">
                                                <a :href="$root.asset(gallery.tb_gallery_images[0].name)" class="lightbox-image" :title="gallery.name">
                                                    <img :src="$root.asset(gallery.tb_gallery_images[0].name)" alt="">
                                                </a>
                                            </figure>
                                        </div>
                                    </div>       
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        <!--Footer Bottom-->
        <div class="footer-bottom">
            <div class="auto-container">
                <div class="inner-container clearfix">
                    
                    <div class="copyright-text">
                        <p>
                            {{
                                $root.lang() == 1 ? 'Hak Cipta © ' : 
                                $root.lang() == 2 ? 'Copyright © ' :
                                $root.lang() ==3 ? 'Urheberrechte ©' : ''
                            }} 2020 <a href="#">Teka Parquet.</a> 
                            {{
                                $root.lang() == 1 ? 'Hak cipta dilindungi Undang-undang' : 
                                $root.lang() == 2 ? 'All right reserved' : 
                                $root.lang() == 3 ? 'Alle Rechte vorbehalten' : ''
                            }}
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </footer>
</template>

<script>
    import ApiFrame from "../services/api/content.js"
    export default {
        data() {
            return {
                footer: '',
                galleries: []
            }
        },
        mounted() {
            this.footer = ApiFrame.getFrame('home').content.tb_profile.about
            this.galleries = ApiFrame.getFrame('home').content.tb_project_galleries
            
        }
    }
</script>